Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AssignGooglePlayTransaction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.AssignGooglePlayTransaction

Enclosing class:
  TdApi

public static final class TdApi.AssignGooglePlayTransaction extends TdApi.Function<TdApi.Ok>
Informs server about a purchase through Google Play. For official applications only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`packageName`
Application package name.
`String`
`purchaseToken`
Google Play purchase token.
`TdApi.StorePaymentPurpose`
`purpose`
Transaction purpose.
`String`
`storeProductId`
Identifier of the purchased store product.

## Constructor Summary

Constructors
Constructor
Description
`AssignGooglePlayTransaction()`
Informs server about a purchase through Google Play.
`AssignGooglePlayTransaction(DataInput input)`
Informs server about a purchase through Google Play.
`AssignGooglePlayTransaction(String packageName, String storeProductId, String purchaseToken, TdApi.StorePaymentPurpose purpose)`
Informs server about a purchase through Google Play.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### packageName

public String packageName
Application package name.

### storeProductId

public String storeProductId
Identifier of the purchased store product.

### purchaseToken

public String purchaseToken
Google Play purchase token.

### purpose

public TdApi.StorePaymentPurpose purpose
Transaction purpose.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AssignGooglePlayTransaction

public AssignGooglePlayTransaction()
Informs server about a purchase through Google Play. For official applications only.

Returns `Ok`

### AssignGooglePlayTransaction

public AssignGooglePlayTransaction(String packageName, String storeProductId, String purchaseToken, TdApi.StorePaymentPurpose purpose)
Informs server about a purchase through Google Play. For official applications only.

Returns `Ok`

Parameters:
  `packageName` - Application package name.
  `storeProductId` - Identifier of the purchased store product.
  `purchaseToken` - Google Play purchase token.
  `purpose` - Transaction purpose.

  Returns `Ok`

### AssignGooglePlayTransaction

public AssignGooglePlayTransaction(DataInput input) throws IOException
Informs server about a purchase through Google Play. For official applications only.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`